<div class="container">
    <div class="m-2">
        <div class="card text-center">
            <div class="card-header">
                Generador de número al azar
            </div>
            <div class="card-body align-center">
                <div class="col-6 offset-3 ">
                    <p>¿Cuántos números desea generar?</p>
                    <input type="number" id="cantArray" class="form-control" min="1" max="100"  #cantArray>
                    <p class="mt-2">Número máximo a generar</p>
                    <input type="number" id="maxNumber" class="form-control" min="1" max="100" #maxNumber>
                    <a class="btn btn-danger m-2" (click)="clean();">Limpiar</a>
                    <a class="btn btn-dark m-2" (click)="result(cantArray.value,maxNumber.value);">Generar!</a>
                </div>
            </div>

            <div *ngIf="response" class="card-body">
                <p>{{ response }}</p>
                <div *ngIf="isOrdened" class="d-flex justify-content-around">
                    <span>Array generado</span>
                    <span>Array ordenado</span>
                </div>
                <div class="d-flex align-items-center">
                    
                    <div *ngIf="numbersArray.length" class="col-6 overflow-auto " style="height:calc(40vh - 100px) ;">
                        <p *ngFor="let numero of numbersArray">
                            {{ numero }}
                        </p>
                    </div>
                    <div class="col-6" *ngIf="numbersArray.length && !isOrdened">
                        <button class="btn btn-dark" (click)="orderArray()">¿Ordenar array?</button>
                    </div>
                    <div *ngIf="numbersArrayOrdened.length && isOrdened" class="col-6 overflow-auto " style="height:calc(40vh - 100px) ;">
                        <p *ngFor="let numero of numbersArrayOrdened">
                            {{ numero }}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</div>